- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_shm_attach_request_t Struct Reference
[XCB Shm API]

xcb_shm_attach_request_t More...

`#include <shm.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_shm_seg_t | shmseg
uint32_t | shmid
uint8_t | read_only
uint8_t | pad0 [3]

## Detailed Description

xcb_shm_attach_request_t

## Field Documentation

uint8_t xcb_shm_attach_request_t::major_opcode

uint8_t xcb_shm_attach_request_t::minor_opcode

uint16_t xcb_shm_attach_request_t::length

xcb_shm_seg_t xcb_shm_attach_request_t::shmseg

uint32_t xcb_shm_attach_request_t::shmid

uint8_t xcb_shm_attach_request_t::read_only

uint8_t xcb_shm_attach_request_t::pad0[3]

The documentation for this struct was generated from the following file:

- shm.h